# Static JSON Finnhub Provider

If you just want to provide a static JSON file as input containing symbols and quantities owned, this provider will use finnhub for pricing quotes for the symbols provided.

### Example data/staticjsonFinnhub-data.json

You can define many to many relationships, multiple YNAB accounts containing multiple types of securities using json arrays.

```json
{
    "accounts":[
        {
            "ynabAccountId":"d54da05a-cs20-4654-bcff-9ce36f43225d",
            "securities":[
                {
                    "symbol":"SPY",
                    "quantity":420
                },
                {
                    "symbol":"BRK.A",
                    "quantity":5
                },
                {
                    "symbol":"CAPE",
                    "quantity":69
                }
            ]
        },
        {
            "ynabAccountId":"fdfedg45-c2g1-445-abdd-9dsa445sd54",
            "securities":[
                {
                    "symbol":"VCN.TO",
                    "quantity":100
                },
                {
                    "symbol":"XSB.TO",
                    "quantity":50
                },
                {
                    "symbol":"DLR.TO",
                    "quantity":20
                }
            ]
        }
    ]
}
```